Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class VersionMappingInfo

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingInfo
          org.apache.openjpa.jdbc.meta.VersionMappingInfo

    public class VersionMappingInfo

extends MappingInfo

Information about the mapping from a version indicator to the schema, in raw form. The columns and tables used in mapping info will not be part of the `SchemaGroup` used at runtime. Rather, they will be structs with the relevant pieces of information filled in.

Author:
  Abe White

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`MappingInfo.ForeignKeyDefaults, MappingInfo.TableDefaults`

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`JOIN_FORWARD, JOIN_INVERSE, JOIN_NONE`

Constructor Summary
`VersionMappingInfo()`

Method Summary
`Column[]` | `getColumns(Version version, Column[] tmplates, boolean adapt)` Return the columns set for this version, based on the given templates.
`Index` | `getIndex(Version version, Column[] cols, boolean adapt)` Return the index to set on the version columns, or null if none.
`void` | `syncWith(Version version)` Synchronize internal information with the mapping data for the given version.

Methods inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`assertNoForeignKey, assertNoIndex, assertNoJoin, assertNoSchemaComponents, assertNoUnique, assertStrategy, canForeignKey, canIndex, canUnique, clear, clear, copy, createColumns, createForeignKey, createIndex, createTable, createUnique, getColumnIO, getColumns, getForeignKey, getIndex, getJoinDirection, getStrategy, getUnique, hasSchemaComponents, mergeColumn, setCanForeignKey, setCanIndex, setCanUnique, setColumnIO, setColumns, setForeignKey, setIndex, setJoinDirection, setStrategy, setUnique, syncColumn, syncColumns, syncForeignKey, syncIndex, syncUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionMappingInfo

    public VersionMappingInfo()

Method Detail

### getColumns

    public Column[] getColumns(Version version,
                               Column[] tmplates,
                               boolean adapt)

  Return the columns set for this version, based on the given templates.

### getIndex

    public Index getIndex(Version version,
                          Column[] cols,
                          boolean adapt)

  Return the index to set on the version columns, or null if none.

### syncWith

    public void syncWith(Version version)

  Synchronize internal information with the mapping data for the given version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.